Name: H5Tarray_create
Signature:
  hid_t `H5Tarray_create`( hid_t `base`, int `rank`, const hsize_t `dims[/*rank*/]`, const int `perm[/*rank*/]` )
Purpose:
  Creates an array datatype object.
Description:
  `H5Tarray_create` creates a new array datatype object.

  `base` is the datatype of every element of the array, i.e., of the number at each position in the array.

  `rank` is the number of dimensions and the size of each dimension is specified in the array `dims`. The value of `rank` is currently limited to `H5S_MAX_RANK` and must be greater than `0` (zero). All dimension sizes specified in `dims` must be greater than `0` (zero).

  The array `perm` is designed to contain the dimension permutation, i.e. C versus FORTRAN array order. (The parameter `perm` is currently unused and is not yet implemented.)

Parameters:

hid_t `base` | IN: Datatype identifier for the array base datatype.
int `rank` | IN: Rank of the array.
const hsize_t `dims[/*rank*/]` | IN: Size of each array dimension.
const int `perm[/*rank*/]` | IN: Dimension permutation. (Currently not implemented.)

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tarray_create_f

      SUBROUTINE h5tarray_create_f(base_id, rank, dims, type_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: base_id   ! Identifier of array base datatype
        INTEGER, INTENT(IN)        ::  rank     ! Rank of the array
        INTEGER(HSIZE_T), DIMENSION(*), INTENT(IN) :: dims
                                                ! Sizes of each array dimension
        INTEGER(HID_T), INTENT(OUT) :: type_id  ! Identifier of the array datatype
        INTEGER, INTENT(OUT)        :: hdferr   ! Error code
      END SUBROUTINE h5tarray_create_f

History:

Release | C
1.4.0 | Function introduced in this release.